﻿


.input-box {
    position: relative;
    height:30px;
    min-width: 100px;
    width: 100%;
    background: #fff;
    margin: 0 20px;
    border-radius: 8px;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
}

    .input-box i,
    .input-box .button {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
    }

    .input-box i {
        left: 20px;
        font-size: 20px;
        color: #707070;
    }

    .input-box input {
        margin-top: 5px;
        margin-bottom: 5px;
        height: 100%;
        width: 100%;
        outline: none;
        font-size: 18px;
        font-weight: 500;
        border: none;
        padding: 15px 15px 15px 15px;
        background-color: transparent;
    }

  




























#headerMessage {
    background-color: #4CAF50; /* couleur de fond */
    color: white; /* couleur du texte */
    padding: 15px; /* padding */
    text-align: center; /* centre le texte */
    font-size: 1.2em; /* taille du texte */
    display: none; /* caché par défaut */
}

      
/* Style pour le overlay de chargement */
#loaderOverlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color:#2a2929; /* fond sombre transparent */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

/* Style pour le message "En attente" ou spinner */
    #loaderOverlay .loaderMessage {
        color:#2a2929;
        font-size: 24px;
        font-family: Arial, sans-serif;
        display: flex;
        align-items: center;
    }

/* Ajout d'une animation (spinner) si souhaité */

.loader {
    color: grey;
    font-family: sans-serif;
    height: 5vh;
    left: 50%;
    overflow-x: hidden;
    padding-top: 7vh;
    position: absolute;
    text-align: center;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 50vw;
}

    .loader::before {
        animation: left-to-right 3s alternate infinite linear;
        background-image: linear-gradient(to right, transparent, #822b61, transparent);
        content: "";
        height: 5vh;
        left: 0;
        overflow: hidden;
        position: absolute;
        right: 0;
        top: 0;
    }

    .loader::after {
        background-image: repeating-linear-gradient( 90deg, white, white 1vw, transparent 1vw, transparent 10vw );
        content: "";
        height: 5vh;
        left: 0;
        overflow: hidden;
        position: absolute;
        right: 0;
        top: 0;
    }

@keyframes left-to-right {
    0% {
        transform: translateX(-100%);
    }

    100% {
        transform: translateX(100%);
    }
}

.spinner {
    border: 4px solid #f3f3f3; /* gris clair */
    border-top: 4px solid #3498db; /* bleu */
    border-radius: 50%;
    width: 30px;
    height: 30px;
    margin-right: 15px;
    animation: spin 1s linear infinite;
}

body {
   
}

.bottom-nav {
    width: 50%;
    position: fixed;
    bottom: 0;
    left: 25%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #fff;
    margin: 0;
    border-radius: 20px 20px 0 0;
    padding:10px 0 10px;
    box-shadow: 0 8px 10px rgba(130, 43, 97, 0.19); /* use the actual hex value for color and manual alpha */
    list-style: none;
    z-index:1000;
}

    .bottom-nav li {
        display: flex; /* Added display flex for li to accommodate transition */
        left: 40%;
    }

        .bottom-nav li a {
            width: 75px;
            height: 45px;
            color: #822b61;
            text-align: center;
            font-size: 20px;
            display: block;
            transition: 1s;
            position: relative;
        }

            .bottom-nav li a i {
                width: 100%;
                position: absolute;
                top: 23%;
                left: 0;
                transition-delay: .3s;
                transition: 1s cubic-bezier(.49, -.35, .77, 1.44);
                z-index: 9;
            }

            .bottom-nav li a span {
                display: block;
                font-size: 12px;
                width: 100%;
                position: absolute;
                bottom: -16px;
                transition-delay: .3s;
                transition: 1s cubic-bezier(.49, -.35, .77, 1.44);
                z-index: 9;
                opacity: 0;
            }

            .bottom-nav li a.active-icon i {
                top: -50%;
                transition-delay: .3s;
                transition: 1s cubic-bezier(.49, -.35, .77, 1.44);
            }

            .bottom-nav li a.active-icon span {
                bottom: 10px;
                transition-delay: .5s;
                transition: 1s cubic-bezier(.49, -.35, .77, 1.44);
                opacity: 1;
            }

    .bottom-nav .slider {
        width:40px;
        height: 40px;
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        top: -24px;
        background-color: #fff;
        border: 2px solid #822b61;
        box-shadow: 0 0 0 5px #822b61;
        transition: 1s;
        border-radius: 50%;
    }

@media(max-width: 900px) {
    .bottom-nav {
        width: 100%;
        left: 0;
    }
}



@keyframes animate {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


body {
    box-sizing: border-box;
    font-family: Roboto, sans-serif;
    margin: 0;
    padding: 0;
}

.wrapper {
    display: flex;
    flex-direction: column;
    max-width: 800px;
    margin: 0 auto;
 
}

/* HEADER */

header {
    position: relative;
    height: 220px;
    overflow: hidden;
}

.userBgImage {
    position: absolute;
    top: -30px;
    left: 0;
    width: 100%;
    height: 220px;
    transform: skewY(-3.5deg);
    overflow: hidden;
    background: url(https://dl.dropbox.com/s/f2a57qfox7r0jaj/bg.jpg) 0 0 / cover no-repeat;
}

/* MAIN */

main {
    flex: 1;
    display: flex;
    flex-direction: column;
    max-width: 100%;
    padding: 0 1.777em;
}

@media only screen and (max-width: 540px) {
    main {
        padding: 0 1em;
    }
}

/* Block one*/

.block-one {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
}

@media only screen and (max-width: 540px) {
    .block-one {
        justify-content: center;
    }
}

.avatar {
    margin-top: -7.478em;
}

.icon.icon-follow-button {
    display: block;
    position: absolute;
    z-index: 10;
    top: -1.8rem;
    right: -1.8rem;
    width: 3.5rem;
    height: 3.5rem;
    fill: #92CDCF;
    color: white;
}

    .icon.icon-follow-button:hover {
        fill: #445878;
    }

@media only screen and (max-width: 540px) {
    .avatar {
        transform-origin: left;
        transform: scale(0.61);
    }
}

.profile-stats {
    margin-top: -.563em;
    display: flex;
    align-items: flex-start;
}

.profile-stats__block {
    margin-left: 1.777em;
    font-weight: 500;
}

    .profile-stats__block h2 {
        margin: 0;
        text-transform: uppercase;
        font-size: 1em;
        opacity: .54;
    }

    .profile-stats__block p {
        margin: .317em 0;
        font-size: 1.333em;
        text-align: center;
        opacity: .87;
    }

@media only screen and (max-width: 540px) {
    .profile-stats {
        transform-origin: left;
        transform: scale(0.8);
    }
}

/* Block two */

.block-two {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
}

/* info block one */

.info-block-one {
    flex: 0 1 200px;
    margin-top: 1em;
    font-size: 1em;
    font-weight: 100;
    color: #31353D;
}

    .info-block-one h1 {
        flex: 2;
        margin: 0;
        font-size: 1.777em;
        font-weight: 500;
    }

.info-block-one__place,
.info-block-one__joined,
.info-block-one__profession {
    display: inline-flex;
    align-items: center;
    margin: 1em 0 0;
}

.info-block-one__place__icon,
.info-block-one__joined__icon {
    margin-right: 0.317rem;
}

.icon.place-icon, .icon.joined-icon {
    fill: #31353D;
    margin-right: .4rem;
    opacity: .54;
}

.icon.place-icon {
    width: 20px;
    height: 26px;
}

.icon.joined-icon {
    width: 20px;
    height: 20px;
}

/* info block two */

.info-block-two {
    flex: 1;
}

    .info-block-two h3 {
        font-size: 0.75em;
        text-transform: uppercase;
        opacity: .54;
    }

@media only screen and (max-width: 540px) {
    .info-block-two h3 {
        margin-top: 2em;
    }
}

.info-block-two p {
    font-size: 1rem;
    font-weight: 100;
    opacity: 87;
}

.ion {
    display: flex;
    justify-content: space-between;
    width: 11.5rem;
}

.icon.soc-icon {
    width: 2rem;
    height: 2.25rem;
    fill: #31353D;
    color: #31353D;
}

.soc-icon:hover {
    fill: #445878;
    color: #1C1D21;
}

/* FOOTER */

footer {
    position: relative;
    height: 80px;
    overflow: hidden;
}

.footerInner {
    position: absolute;
    top: 26px;
    left: 0;
    width: 100%;
    height: 100px;
    background-color: #31353E;
    transform: skewY(-3.5deg);
}

/* MISC */

/* avatar */

.avatar-hexagon {
    position: relative;
    width: 160px;
    height: 92.38px;
    margin: 46.19px 0;
    background-image: url();
    background-size: auto 184.7521px;
    background-position: center;
}

.avatar-hexTop,
.avatar-hexBottom {
    position: absolute;
    z-index: 1;
    width: 113.14px;
    height: 113.14px;
    overflow: hidden;
    -webkit-transform: scaleY(0.5774) rotate(-45deg);
    -ms-transform: scaleY(0.5774) rotate(-45deg);
    transform: scaleY(0.5774) rotate(-45deg);
    background: inherit;
    left: 23.43px;
}

    /*counter transform the bg image on the caps*/
    .avatar-hexTop:after,
    .avatar-hexBottom:after {
        content: "";
        position: absolute;
        width: 160.0000px;
        height: 92.37604307034013px;
        -webkit-transform: rotate(45deg) scaleY(1.7321) translateY(-46.1880px);
        -ms-transform: rotate(45deg) scaleY(1.7321) translateY(-46.1880px);
        transform: rotate(45deg) scaleY(1.7321) translateY(-46.1880px);
        -webkit-transform-origin: 0 0;
        -ms-transform-origin: 0 0;
        transform-origin: 0 0;
        background: inherit;
    }

.avatar-hexTop {
    top: -56.5685px;
}

    .avatar-hexTop:after {
        background-position: center top;
    }

.avatar-hexBottom {
    bottom: -56.5685px;
}

    .avatar-hexBottom:after {
        background-position: center bottom;
    }

.avatar-hexagon:after {
    content: "";
    position: absolute;
    top: 0.0000px;
    left: 0;
    width: 160.0000px;
    height: 92.3760px;
    z-index: 2;
    background: inherit;
}

 

 /**page home*/
 